ViennaCL - The Vienna Computing Library: viennacl::advanced_cuthill_mckee_tag Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::advanced_cuthill_mckee_tag Class Reference

Tag for the advanced Cuthill-McKee algorithm (i.e. running the 'standard' Cuthill-McKee algorithm for a couple of different seeds). More...

`#include <cuthill_mckee.hpp>`

## Public Member Functions
| advanced_cuthill_mckee_tag (double a=0.0, vcl_size_t gmax=1)
| CTOR which may take the additional parameters for the advanced algorithm. More...
double | starting_node_param () const
void | starting_node_param (double a)
vcl_size_t | max_root_nodes () const
void | max_root_nodes (vcl_size_t gmax)

## Detailed Description

Tag for the advanced Cuthill-McKee algorithm (i.e. running the 'standard' Cuthill-McKee algorithm for a couple of different seeds).

Examples:
  bandwidth-reduction.cpp.

Definition at line 429 of file cuthill_mckee.hpp.

## Constructor & Destructor Documentation

viennacl::advanced_cuthill_mckee_tag::advanced_cuthill_mckee_tag | ( | double | a = `0.0`,
|  | vcl_size_t | gmax = `1`
| ) |  |
| inline

CTOR which may take the additional parameters for the advanced algorithm.

additional parameters for CTOR: a: 0 <= a <= 1 parameter which specifies which nodes are tried as starting nodes of generated node layering (tree structure whith one ore more starting nodes). the relation deg_min <= deg <= deg_min + a * (deg_max - deg_min) must hold for node degree deg for a starting node, where deg_min/ deg_max is the minimal/maximal node degree of all yet unnumbered nodes. gmax: integer which specifies maximum number of nodes in the root layer of the tree structure (gmax = 0 means no limit)

Returns
  permutation vector r. r[l] = i means that the new label of node i will be l.

Definition at line 450 of file cuthill_mckee.hpp.

## Member Function Documentation

vcl_size_t viennacl::advanced_cuthill_mckee_tag::max_root_nodes | ( |  | ) | const
| inline

Definition at line 455 of file cuthill_mckee.hpp.

void viennacl::advanced_cuthill_mckee_tag::max_root_nodes | ( | vcl_size_t | gmax | ) |
| inline

Definition at line 456 of file cuthill_mckee.hpp.

double viennacl::advanced_cuthill_mckee_tag::starting_node_param | ( |  | ) | const
| inline

Definition at line 452 of file cuthill_mckee.hpp.

void viennacl::advanced_cuthill_mckee_tag::starting_node_param | ( | double | a | ) |
| inline

Definition at line 453 of file cuthill_mckee.hpp.

The documentation for this class was generated from the following file:

- viennacl/misc/cuthill_mckee.hpp